> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transfer rates



## OpenAPI

````yaml get /transfers/rates
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /transfers/rates:
    get:
      tags:
        - Transfers
      summary: Get Transfer Rates
      description: Fetch the transfer rate for international transfers
      operationId: GetTransferRates
      parameters:
        - name: amount
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            example: 5000
        - name: destination_currency
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: USD
        - name: source_currency
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: NGN
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 09:14:39 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '172'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: close
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"ac-E2q5tZZSRXpXIVY6v6rVbw"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetTransferRates'
                  - example:
                      status: success
                      message: Transfer amount fetched
                      data:
                        rate: 1219.32
                        source:
                          currency: NGN
                          amount: 6096600
                        destination:
                          currency: USD
                          amount: 5000
              example:
                status: success
                message: Transfer amount fetched
                data:
                  rate: 1219.32
                  source:
                    currency: NGN
                    amount: 6096600
                  destination:
                    currency: USD
                    amount: 5000
      deprecated: false
components:
  schemas:
    GetTransferRates:
      title: GetTransferRates
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data38'
      example:
        status: success
        message: Transfer amount fetched
        data:
          rate: 1219.32
          source:
            currency: NGN
            amount: 6096600
          destination:
            currency: USD
            amount: 5000
    Data38:
      title: Data38
      required:
        - rate
        - source
        - destination
      type: object
      properties:
        rate:
          type: number
        source:
          $ref: '#/components/schemas/Source'
        destination:
          $ref: '#/components/schemas/Destination'
      example:
        rate: 1219.32
        source:
          currency: NGN
          amount: 6096600
        destination:
          currency: USD
          amount: 5000
    Source:
      title: Source
      required:
        - currency
        - amount
      type: object
      properties:
        currency:
          type: string
        amount:
          type: integer
          format: int32
      example:
        currency: NGN
        amount: 6096600
    Destination:
      title: Destination
      required:
        - currency
        - amount
      type: object
      properties:
        currency:
          type: string
        amount:
          type: integer
          format: int32
      example:
        currency: USD
        amount: 5000
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````